// gcc -o level2 -no-pie -fno-stack-protector level2.c
#include <stdio.h>
#include <unistd.h>

void win() {
  char *argv[2];
  argv[0] = "/bin/sh";
  argv[1] = NULL;
  execve(argv[0], argv, NULL);
}

int main(int argc, char **argv) {
  // Disable output buffering. Not part of the challenge.
  setvbuf(stdout, NULL, _IONBF, 0);
  setvbuf(stdin, NULL, _IONBF, 0);

  char buffer[32];
  puts("What do you want to talk about?");
  fgets(buffer, 320, stdin);
  puts("Bye.");
  return 0;
}
